Record Sets - Delete

Deletes a record set from a DNS zone. This operation cannot be undone.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/dnsZones/{zoneName}/{recordType}/{relativeRecordSetName}?api-version=2018-05-01

URI Parameters

Name In Required Type Description
recordType
path True

RecordType

The type of DNS record in this record set. Record sets of type SOA cannot be deleted (they are deleted when the DNS zone is deleted).

relativeRecordSetName
path True

string

The name of the record set, relative to the name of the zone.

resourceGroupName
path True

string

The name of the resource group.

subscriptionId
path True

string

Specifies the Azure subscription ID, which uniquely identifies the Microsoft Azure subscription.

zoneName
path True

string

The name of the DNS zone (without a terminating dot).

api-version
query True

string

Specifies the API version.

Request Header

Name Required Type Description
If-Match

string

The etag of the record set. Omit this value to always delete the current record set. Specify the last-seen etag value to prevent accidentally deleting any concurrent changes.

Responses

Name Type Description
200 OK

The record set has been deleted.

204 No Content

The record set was not found.

Other Status Codes

CloudError

Default response. It will be deserialized as per the Error definition.

Examples

Delete A recordset
Delete AAAA recordset
Delete CAA recordset
Delete CNAME recordset
Delete MX recordset
Delete NS recordset
Delete PTR recordset
Delete SRV recordset
Delete TXT recordset

Delete A recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/A/record1?api-version=2018-05-01

Sample response

Delete AAAA recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/AAAA/record1?api-version=2018-05-01

Sample response

Delete CAA recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/CAA/record1?api-version=2018-05-01

Sample response

Delete CNAME recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/A/record1?api-version=2018-05-01

Sample response

Delete MX recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/A/record1?api-version=2018-05-01

Sample response

Delete NS recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/A/record1?api-version=2018-05-01

Sample response

Delete PTR recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/0.0.127.in-addr.arpa/PTR/1?api-version=2018-05-01

Sample response

Delete SRV recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/SRV/record1?api-version=2018-05-01

Sample response

Delete TXT recordset

Sample request

DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/dnsZones/zone1/TXT/record1?api-version=2018-05-01

Sample response

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

RecordType

The type of DNS record in this record set. Record sets of type SOA cannot be deleted (they are deleted when the DNS zone is deleted).

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

RecordType

The type of DNS record in this record set. Record sets of type SOA cannot be deleted (they are deleted when the DNS zone is deleted).

Value Description
A
AAAA
CAA
CNAME
MX
NS
PTR
SOA
SRV
TXT